org.apache.hc.core5.http2

## Enum HttpVersionPolicy

- java.lang.Object
- - java.lang.Enum<HttpVersionPolicy>
  - - org.apache.hc.core5.http2.HttpVersionPolicy

- All Implemented Interfaces:
    Serializable, Comparable<HttpVersionPolicy>

      public enum HttpVersionPolicy
      extends Enum<HttpVersionPolicy>

  HTTP protocol version policy.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCE_HTTP_1`
    `FORCE_HTTP_2`
    `NEGOTIATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpVersionPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpVersionPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORCE_HTTP_1

          public static final HttpVersionPolicy FORCE_HTTP_1

    - #### FORCE_HTTP_2

          public static final HttpVersionPolicy FORCE_HTTP_2

    - #### NEGOTIATE

          public static final HttpVersionPolicy NEGOTIATE

  - ### Method Detail

    - #### values

          public static HttpVersionPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpVersionPolicy c : HttpVersionPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpVersionPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.